Fout bij het installeren van psycopg2 op Mac OS 10.6

Hallo, ik probeer psycopg2 te installeren op Mac 10.6. Nadat ik heb geïnstalleerd krijg ik deze foutmelding als ik probeer te importeren

import psycopg2
Traceback (most recent call last):
File "", line 1, in 
File "/Library/Python/2.6/site-packages/psycopg2/__init__.py", line 69, in 
from psycopg2._psycopg import BINARY, NUMBER, STRING, DATETIME, ROWID
ImportError: dlopen(/Library/Python/2.6/site-packages/psycopg2/_psycopg.so, 2): Symbol  not found: _PQbackendPID
Referenced from: /Library/Python/2.6/site-packages/psycopg2/_psycopg.so
Expected in: flat namespace
in /Library/Python/2.6/site-packages/psycopg2/_psycopg.so

Ik heb de bron gekregen van http://initd.org/psycopg/download/ en heb geprobeerd te bouwen van source met setup/easy_install met de waarde voor pg_config ingesteld op /Library/PostgreSQL/8.4/bin/pg_config in setup.cfg

Ik heb al deze alternatieven geprobeerd en niets lijkt te werken

http://blog.timc3.com/2010/08/ 20/psycopg2-os-x-_pqbackendpid/

http://initd. org/psycopg/artikelen/2010/11/11/banden-over-building-psycopg-mac-os-x/

Om het even welke ideeën wat hier gebeurt ??

3

1 antwoord

Volgens deze link , lijkt psycopg2 lijkt te werken in 32-bits modus op MacOSX

0
toegevoegd